Modify

Opened 10 months ago

Last modified 10 months ago

#22903 new defect

Warning with mmrtext.ttf, monbaiti.ttf and https://roottest-ev.pkioverheid.nl

Reported by: leni Owned by: team
Priority: minor Milestone:
Component: Core Version:
Keywords: template_report java17 windows Cc:

Description

What steps will reproduce the problem?

  1. I have 3 Last errors/warnings:
  2. I I remove all plugins, presets, Map paint styles

What is the expected result?

No Warnings

What happens instead?

the 3 warnings are always there

  • 00000.450 W: extended font config - overriding 'filename.Myanmar_Text=mmrtext.ttf' with 'MMRTEXT.TTF'
  • 00000.454 W: extended font config - overriding 'filename.Mongolian_Baiti=monbaiti.ttf' with 'MONBAITI.TTF'
  • 00003.023 W: Unable to request certificate of https://roottest-ev.pkioverheid.nl

Please provide any additional information below. Attach a screenshot if possible.

Relative:URL: ^/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2023-03-30 16:51:36 +0200 (Thu, 30 Mar 2023)
Revision:18700
Build-Date:2023-03-31 01:30:56
URL:https://josm.openstreetmap.de/svn/trunk

Identification: JOSM/1.5 (18700 fr) Windows 10 64-Bit
OS Build number: Windows 10 Home 2009 (19044)
Memory Usage: 360 MB / 1970 MB (213 MB allocated, but free)
Java version: 17.0.5+8-LTS, Azul Systems, Inc., OpenJDK 64-Bit Server VM
Look and Feel: com.sun.java.swing.plaf.windows.WindowsLookAndFeel
Screen: \Display0 1920×1080 (scaling 1.25×1.25)
Maximum Screen Size: 1920×1080
Best cursor sizes: 16×16→32×32, 32×32→32×32
System property file.encoding: Cp1252
System property sun.jnu.encoding: Cp1252
Locale info: fr_FR
Numbers with default locale: 1234567890 -> 1234567890
VM arguments: [-Dicedtea-web.bin.location=C:\Program Files\utilistairesSystem\OpenWebStart\javaws, -Djava.util.Arrays.useLegacyMergeSort=true, --add-exports=jdk.deploy/com.sun.deploy.config=ALL-UNNAMED, --add-opens=java.desktop/javax.swing.text.html=ALL-UNNAMED, --add-reads=java.naming=ALL-UNNAMED,java.desktop, --add-exports=java.base/sun.security.action=ALL-UNNAMED,java.desktop, --add-reads=java.base=ALL-UNNAMED,java.desktop, --add-exports=java.naming/com.sun.jndi.toolkit.url=ALL-UNNAMED,java.desktop, --add-opens=java.base/jdk.internal.loader=ALL-UNNAMED, --add-exports=java.desktop/com.apple.eawt=ALL-UNNAMED, --add-exports=java.desktop/sun.awt=ALL-UNNAMED,java.desktop, --add-opens=java.base/jdk.internal.ref=ALL-UNNAMED, --add-exports=java.base/sun.security.validator=ALL-UNNAMED,java.desktop, --add-exports=java.desktop/com.sun.imageio.plugins.jpeg=ALL-UNNAMED, --add-exports=java.base/sun.net.www.protocol.jar=ALL-UNNAMED,java.desktop, --add-exports=java.base/jdk.internal.util.jar=ALL-UNNAMED,java.desktop, --add-opens=java.prefs/java.util.prefs=ALL-UNNAMED, --add-exports=java.base/com.sun.net.ssl.internal.ssl=ALL-UNNAMED,java.desktop, --add-exports=javafx.graphics/com.sun.javafx.application=ALL-UNNAMED, --add-modules=java.scripting,java.sql,javafx.controls,javafx.media,javafx.swing,javafx.web, --add-exports=java.desktop/sun.awt.X11=ALL-UNNAMED,java.desktop, --add-exports=java.desktop/sun.applet=ALL-UNNAMED,java.desktop,jdk.jsobject, --add-exports=java.base/sun.net.www.protocol.http=ALL-UNNAMED,java.desktop, --add-opens=java.base/java.lang=ALL-UNNAMED, --add-exports=java.base/sun.security.util=ALL-UNNAMED,java.desktop, --add-exports=java.desktop/com.sun.imageio.spi=ALL-UNNAMED, --add-reads=java.desktop=ALL-UNNAMED,java.naming, --add-opens=java.base/java.nio=ALL-UNNAMED, --add-exports=java.base/sun.security.x509=ALL-UNNAMED,java.desktop, --add-opens=java.desktop/javax.imageio.spi=ALL-UNNAMED, --add-exports=java.desktop/javax.jnlp=ALL-UNNAMED,java.desktop, --add-exports=java.base/sun.security.provider=ALL-UNNAMED,java.desktop]

Last errors/warnings:
- 00000.450 W: extended font config - overriding 'filename.Myanmar_Text=mmrtext.ttf' with 'MMRTEXT.TTF'
- 00000.454 W: extended font config - overriding 'filename.Mongolian_Baiti=monbaiti.ttf' with 'MONBAITI.TTF'
- 00003.023 W: Unable to request certificate of https://roottest-ev.pkioverheid.nl

Attachments (0)

Change History (6)

comment:1 by taylor.smock, 10 months ago

See #19872 for "Unable to request certificate of ​https://roottest-ev.pkioverheid.nl". It looks like we might be able to remove it.

I don't know about the font config stuff -- this is done in source:trunk/src/org/openstreetmap/josm/tools/PlatformHookWindows.java.

comment:2 by leni, 10 months ago

In fact, there are two types of warning.
Wouldn't it be better if I cut the ticket in half?

  • Warning with mmrtext.ttf, monbaiti.ttf

and

comment:3 by taylor.smock, 10 months ago

The latter should be fixed by r18716 (we dropped the certificate -- it actually expired in December 2022).

For the mmrtext.ttf/monbaiti.ttf warnings, I'd have to run JOSM on a Windows computer, and I don't always have one accessible (like right now).

comment:4 by GerdP, 10 months ago

I've just tried r18719 on my Windows PC:

2023-04-30 06:22:38.405 INFORMATION: Protokollierungsgrad ist bei INFORMATION (INFO, 800)
2023-04-30 06:22:38.844 WARNING: extended font config - overriding 'filename.Myanmar_Text=mmrtext.ttf' with 'MMRTEXT.TTF'
2023-04-30 06:22:38.849 WARNING: extended font config - overriding 'filename.Mongolian_Baiti=monbaiti.ttf' with 'MONBAITI.TTF'
2023-04-30 06:22:39.252 SEVERE: java.security.KeyStoreException: Windows-ROOT not found. Cause: java.security.NoSuchAlgorithmException: Windows-ROOT KeyStore not available
java.security.KeyStoreException: Windows-ROOT not found
        at java.base/java.security.KeyStore.getInstance(Unknown Source)
        at org.openstreetmap.josm.tools.PlatformHookWindows.getRootKeystore(PlatformHookWindows.java:337)
        at org.openstreetmap.josm.tools.PlatformHookWindows.getX509Certificate(PlatformHookWindows.java:347)
        at org.openstreetmap.josm.io.CertificateAmendment.addMissingCertificates(CertificateAmendment.java:231)
        at org.openstreetmap.josm.gui.MainApplication.mainJOSM(MainApplication.java:884)
        at org.openstreetmap.josm.gui.MainApplication$3.processArguments(MainApplication.java:277)
        at org.openstreetmap.josm.gui.MainApplication.main(MainApplication.java:742)
Caused by: java.security.NoSuchAlgorithmException: Windows-ROOT KeyStore not available
        at java.base/sun.security.jca.GetInstance.getInstance(Unknown Source)
        at java.base/java.security.Security.getImpl(Unknown Source)
        ... 7 more

I only see these messages when I use java 17, not with JRE version 8.

comment:5 by leni, 10 months ago

Yes, so do I.
But when I use JRE version 8, JOSM prefers java 17, it tells me
"JOSM will soon stop working with this version; we highly recommend you to update to Java 17.0.7."

comment:6 by taylor.smock, 10 months ago

Keywords: java17 windows added

We can probably try checking the Java version prior to adding myanmar/monbaiti.

See fontconfig.properties from the JDK for other potential conflicts (like malgun, JDK-8190907).

Anyway, the message is coming from either PlatformHookWindows#L487 or PlatformHookWindows#L500.

Modify Ticket

Change Properties
Set your email in Preferences
Action
as new The owner will remain team.
as The resolution will be set. Next status will be 'closed'.
to The owner will be changed from team to the specified user.
Next status will be 'needinfo'. The owner will be changed from team to leni.
as duplicate The resolution will be set to duplicate. Next status will be 'closed'. The specified ticket will be cross-referenced with this ticket.
The owner will be changed from team to anonymous. Next status will be 'assigned'.

Add Comment


E-mail address and name can be saved in the Preferences .
 
Note: See TracTickets for help on using tickets.